- breadcrumb_title(@page.template? ? s_("Wiki|New template") : s_("Wiki|New page")) unless @page.persisted?
- wiki_page_title @page, @page.persisted? ? _('Edit') : _('New')
- add_page_specific_style 'page_bundles/wiki'
- @gfm_form = true
- @noteable_type = 'Wiki'

- if @error
  #js-wiki-error{ data: { error: @error, wiki_page_path: wiki_page_path(@wiki, @page) } }

.js-wiki-edit-page.wiki-page-header.has-sidebar-toggle.flex-column.flex-lg-row
  = wiki_sidebar_toggle_button

  %h1.page-title.gl-font-size-h-display.gl-flex-grow-1
    - if @page.persisted?
      = link_to_wiki_page @page
      %span.gl-text-secondary
        &middot;
        = @page.template? ? s_("Wiki|Edit template") : s_("Wiki|Edit page")
    - else
      = @page.template? ? s_("Wiki|New template") : s_("Wiki|New page")

= render 'shared/wikis/form', uploads_path: wiki_attachment_upload_url

= render 'shared/wikis/sidebar', editing: true
